Package org.jboss.resteasy.plugins.server.netty

## Class NettySecurityContext

- java.lang.Object
- - org.jboss.resteasy.plugins.server.netty.NettySecurityContext

- All Implemented Interfaces:
    `javax.ws.rs.core.SecurityContext`

      public class NettySecurityContext
      extends Object
      implements javax.ws.rs.core.SecurityContext

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `authScheme` |
    `protected SecurityDomain` | `domain` |
    `protected boolean` | `isSecure` |
    `protected Principal` | `principal` |

    - ### Fields inherited from interface javax.ws.rs.core.SecurityContext

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NettySecurityContext()` |
    `NettySecurityContext​(Principal principal, SecurityDomain domain, String authScheme, boolean secure)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAuthenticationScheme()` |
    `Principal` | `getUserPrincipal()` |
    `boolean` | `isSecure()` |
    `boolean` | `isUserInRole​(String role)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### principal

          protected final Principal principal

    - #### domain

          protected final SecurityDomain domain

    - #### authScheme

          protected final String authScheme

    - #### isSecure

          protected final boolean isSecure

  - ### Constructor Detail

    - #### NettySecurityContext

          public NettySecurityContext​(Principal principal,
                                      SecurityDomain domain,
                                      String authScheme,
                                      boolean secure)

    - #### NettySecurityContext

          public NettySecurityContext()

  - ### Method Detail

    - #### getUserPrincipal

          public Principal getUserPrincipal()

      Specified by:
        `getUserPrincipal` in interface `javax.ws.rs.core.SecurityContext`

    - #### isUserInRole

          public boolean isUserInRole​(String role)

      Specified by:
        `isUserInRole` in interface `javax.ws.rs.core.SecurityContext`

    - #### isSecure

          public boolean isSecure()

      Specified by:
        `isSecure` in interface `javax.ws.rs.core.SecurityContext`

    - #### getAuthenticationScheme

          public String getAuthenticationScheme()

      Specified by:
        `getAuthenticationScheme` in interface `javax.ws.rs.core.SecurityContext`